function defaultans = importfile_buttondialog_case1(filename, startRow, endRow)
%IMPORTFILE Import numeric data from a text file as a matrix.
%   BUTTONDIALOGTEMP1 = IMPORTFILE(FILENAME) Reads data from text file
%   FILENAME for the default selection.
%
%   BUTTONDIALOGTEMP1 = IMPORTFILE(FILENAME, STARTROW, ENDROW) Reads data
%   from rows STARTROW through ENDROW of text file FILENAME.
%
% Example:
%   buttondialogtemp1 = importfile('button_dialog_temp_1.txt', 3, 14);
%
%    See also TEXTSCAN.

% Auto-generated by MATLAB on 2020/10/09 18:46:59

%% Initialize variables.
delimiter = '\t';
if nargin<=2
	startRow = 3;
	endRow = inf;
end

%% Read columns of data as text:
% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%s%s%s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to the format.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
textscan(fileID, '%[^\n\r]', startRow(1)-1, 'WhiteSpace', '', 'ReturnOnError', false);
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
for block=2:length(startRow)
	frewind(fileID);
	textscan(fileID, '%[^\n\r]', startRow(block)-1, 'WhiteSpace', '', 'ReturnOnError', false);
	dataArrayBlock = textscan(fileID, formatSpec, endRow(block)-startRow(block)+1, 'Delimiter', delimiter, 'TextType', 'string', 'ReturnOnError', false, 'EndOfLine', '\r\n');
	for col=1:length(dataArray)
		dataArray{col} = [dataArray{col};dataArrayBlock{col}];
	end
end

%% Close the text file.
fclose(fileID);

%% Convert the contents of columns containing numeric text to numbers.
% Replace non-numeric text with NaN.
raw = repmat({''},length(dataArray{1}),length(dataArray)-1);
for col=1:length(dataArray)-1
	raw(1:length(dataArray{col}),col) = mat2cell(dataArray{col}, ones(length(dataArray{col}), 1));
end
numericData = NaN(size(dataArray{1},1),size(dataArray,2));

% Converts text in the input cell array to numbers. Replaced non-numeric
% text with NaN.
rawData = dataArray{2};
for row=1:size(rawData, 1)
	% Create a regular expression to detect and remove non-numeric prefixes and
	% suffixes.
	regexstr = '(?<prefix>.*?)(?<numbers>([-]*(\d+[\,]*)+[\.]{0,1}\d*[eEdD]{0,1}[-+]*\d*[i]{0,1})|([-]*(\d+[\,]*)*[\.]{1,1}\d+[eEdD]{0,1}[-+]*\d*[i]{0,1}))(?<suffix>.*)';
	try
		result = regexp(rawData(row), regexstr, 'names');
		numbers = result.numbers;
		
		% Detected commas in non-thousand locations.
		invalidThousandsSeparator = false;
		if numbers.contains(',')
			thousandsRegExp = '^[-/+]*\d+?(\,\d{3})*\.{0,1}\d*$';
			if isempty(regexp(numbers, thousandsRegExp, 'once'))
				numbers = NaN;
				invalidThousandsSeparator = true;
			end
		end
		% Convert numeric text to numbers.
		if ~invalidThousandsSeparator
			numbers = textscan(char(strrep(numbers, ',', '')), '%f');
			numericData(row, 2) = numbers{1};
			raw{row, 2} = numbers{1};
		end
	catch
		raw{row, 2} = rawData{row};
	end
end


%% Split data into numeric and string columns.
rawNumericColumns = raw(:, 2);
rawStringColumns = string(raw(:, [1,3,4]));


%% Replace non-numeric cells with NaN
R = cellfun(@(x) ~isnumeric(x) && ~islogical(x),rawNumericColumns); % Find non-numeric cells
rawNumericColumns(R) = {NaN}; % Replace non-numeric cells

%% Create output variable
buttondialogtemp1 = table;
buttondialogtemp1.Parametersforbuttondialogcase1 = rawStringColumns(:, 1);
buttondialogtemp1.VarName2 = cell2mat(rawNumericColumns(:, 1));
buttondialogtemp1.VarName3 = rawStringColumns(:, 2);
buttondialogtemp1.VarName4 = rawStringColumns(:, 3);



vals=table2array(buttondialogtemp1(:,2))';

defaultans=strsplit(num2str(vals));
% defaultans=cell(length(vals),1)
% defaultans={};
% for n=1:length(vals)
% defaultans =table2cell( vars(:,2));
var_titre=table2cell(buttondialogtemp1(:,1));
for n=1:length(defaultans)
	if string(var_titre(n))=='Export'
		exp_ix=n;
		break
	end
end

if defaultans(n)=="1"
	defaultans(n)={"yes"}
else defaultans(n)={"no"}
end


end